Board index FlightGear Support Tools FGx

Minimalistic FG OSX launcher for devel versions or snapshots

A launcher for FlightGear.

Minimalistic FG OSX launcher for devel versions or snapshots

Postby gral » Fri Mar 04, 2011 12:05 am

Hi *

In my projects on Gitorious http://www.gitorious.org/fgx there is now a small and minimalistic OSX FlightGear launcher (mainly for me and myself). It is very minimalistic and only for testing purposes. I use it here to launch GIT devel versions and snapshots of FlightGear, tired of command line inputs or doing bash scripts to start FlightGear. It is based on recent QT tools. Maybe someone wants to jump in and help to improve it ? There is absolutely no intention to have a new "FGrun" or something, I only helped myself to get a working launcher for OSX 10.6. You can use and improve it as it is, there is no readme yet and no further description and no support, I apologize. Use it at your own risk, as always :wink:

Cheers, gral

Edit: removed link
Last edited by gral on Sun Mar 20, 2011 5:06 pm, edited 1 time in total.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby VicMar » Fri Mar 04, 2011 8:36 am

Will it ONLY work on 10.6?

I would help, but I am still using 10.5.8

Cheers,
Vic
Time flies like an arrow
Fruit flies like a banana

http://www.vicmar.weebly.com
User avatar
VicMar
 
Posts: 1615
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 3.0.0
OS: OS X 10.8.5

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Tue Mar 08, 2011 1:06 pm

VicMar wrote in Fri Mar 04, 2011 8:36 am:Will it ONLY work on 10.6?

I would help, but I am still using 10.5.8

Cheers,
Vic


No, it should work for 10.5.8, but only on a i386/intel, no ppc.

Cheers, gral
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Sun Mar 13, 2011 1:48 am

Now I need some OSX testers for the new minimalistic >FGX< launcher.
Requirements: OSX >= 10.5.8/Intel (i386/x86), running FlightGear GIT installed or use a nightly build, FlightGear data folder

EDIT: removed link
Source: http://www.gitorious.org/fgx
Tracker: http://code.google.com/p/fgx/

For testing start the application and set paths on first tab. Please do not post bugs/logfiles/feature requests here in the forum, use the tracker.

Thanks a lot for your feedback!

Cheers, gral
Last edited by gral on Sun Mar 20, 2011 5:07 pm, edited 1 time in total.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Sun Mar 13, 2011 11:08 pm

There is an update – improved runway and park position detection for choosen ICAO. There is also a new detection if scenery is locally available or not. (BTW. Parsing files like "KSFO.parking.xml" for park positions gives me strange results here, but I do not care for the moment :D , see Parking D551).
For download of fgx still use (edit: link removed). Thank you for testing and sending me feedback.

Cheers, gral

Image.
Last edited by gral on Sun Mar 20, 2011 5:08 pm, edited 1 time in total.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby someguy » Mon Mar 14, 2011 3:27 pm

Gral, I couldn't get the previous version to work. I tried using it to launch my existing installation of Tat's git snapshot, but I suspect I need more clues about where to put fgx and how to specify paths. There's nothing called "fgdata" on my disk.
User avatar
someguy
 
Posts: 1128
Joined: Tue Nov 25, 2008 5:54 am
Location: USA
Version: 3.2
OS: OS X 10.9.4

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Mon Mar 14, 2011 7:06 pm

someguy wrote in Mon Mar 14, 2011 3:27 pm:Gral, I couldn't get the previous version to work. I tried using it to launch my existing installation of Tat's git snapshot, but I suspect I need more clues about where to put fgx and how to specify paths. There's nothing called "fgdata" on my disk.


Please download the newer test version I updated yesterday: (EDIT: link removed)

It is a launcher for GIT versions and snapshots (coming from the Hudson server, not macflightgear). But anyway the launcher should work with macflightgear too, except path to fgdata is "data", i.e. "/Users/joefoo/Applications/FlightGear.app/Contents/Resources/data". When you use macflightgear binaries I recommend to use also macflightgear data folder. For myself I tested a snapshot from the hudson server and downloaded fgdata from the git repo (and this data directory is named "fgdata"), seemed to work here, but I had no possibilites to check it on other machines for the moment.

Thank you for giving it a try. Cheers, gral

Edit: I strongly *do not recommend* to use macflightgear binaries/releases and data with fgx launcher. There is no intention to replace this one, MacFlightGear has its own launcher and this one works best for MacFlightGear I think. Again, fgx is primary thought for small use with own builds of recent Flightgear GIT versions and/or nightly builds.
Last edited by gral on Sun Mar 20, 2011 5:08 pm, edited 1 time in total.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby someguy » Tue Mar 15, 2011 2:54 am

Gral, I don't need fgx, I was just trying to help test it for you, using the binary and data I already have. I dropped your latest fgx into Applications, then specified the paths per your example. I get this message in Terminal:

Code: Select all
/Applications/fgStart.sh ; exit;
export: Command not found.
FG_ROOT: Undefined variable.
logout
User avatar
someguy
 
Posts: 1128
Joined: Tue Nov 25, 2008 5:54 am
Location: USA
Version: 3.2
OS: OS X 10.9.4

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Tue Mar 15, 2011 12:06 pm

Thanks someguy, I was not writing this lines because of your helpful testing, I just wanted to prevent (maybe less informed) users to try fgx with macflightgear. I guess you are using "tcsh" and not "bash" in your terminal. For tcsh it is "setenv" and for bash it is "export". I have to change the scripts to get both.

Thanks again, gral

Edit: Updated fgx not to "export" or "setenv" at all.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Thu Mar 17, 2011 10:51 pm

There is a new version for testing now (EDIT: removed link) (needs OSX >= 10.5.8/intel). It comes with a "built-in" FlightGear GIT version from today. You will need a recent fgdata folder, go for it at gitorious. There is no documentation yet but I am looking forward to get some help here. I have no possibility to check if this fgx really works also on other machines 8)

I also did some changes to FGCOM today, I had problems with my machine with thread policy coming from iaxclient. You can download my new fgcom installer here (needs also OSX >= 10.5.8/intel). You will need this fgcom to work with fgx. All my changes are also pushed to my projects at gitorious.

Cheers, gral
Last edited by gral on Sun Mar 20, 2011 5:09 pm, edited 1 time in total.
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby VicMar » Fri Mar 18, 2011 12:34 pm

Hi Gral,

I have downloaded this latest version, but as yet Git will not recognise me (for the data file), so I am opening a new account, for which I am waiting the confirmation email.

In the mean time, I thought I would open fgx and try using my existing data folder, but fgx will not open at all.

I am using the aluminium keyboard version of the intel iMac, 2Ghz intel Core 2 Duo - 1 GB 667 MHz DDR2 SDRAM - running OS 10.5.8

If fgx will not open, is there another way to set paths etc?

Cheers,
Vic
Image
Code: Select all
Process:         fgx [3690]
Path:            /Applications/fgx.app/Contents/MacOS/fgx
Identifier:      com.fgx2pre.fgx
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [89]

Interval Since Last Report:          1590800 sec
Crashes Since Last Report:           36
Per-App Interval Since Last Report:  0 sec
Per-App Crashes Since Last Report:   7

Date/Time:       2011-03-18 12:46:38.008 +0000
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6
Anonymous UUID:  DF47C4F9-CE7C-474E-B48E-DE776C077D80

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  Library not loaded: @executable_path/../Frameworks/ALUT.framework/Versions/A/ALUT
  Referenced from: /Applications/fgx.app/Contents/MacOS/fgx
  Reason: image not found
Time flies like an arrow
Fruit flies like a banana

http://www.vicmar.weebly.com
User avatar
VicMar
 
Posts: 1615
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 3.0.0
OS: OS X 10.8.5

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Fri Mar 18, 2011 3:21 pm

VicMar wrote in Fri Mar 18, 2011 12:34 pm:Dyld Error Message:
Library not loaded: @executable_path/../Frameworks/ALUT.framework/Versions/A/ALUT
Referenced from: /Applications/fgx.app/Contents/MacOS/fgx
Reason: image not found


Aiii, that’s why I am asking for testing :wink: I forgot to include the ALUT.framework. Wait, I will upload a new version.
Thanks Vic, I fear this is not the last report here.

Cheers, gral

EDIT: Just uploaded an update with ALUT.framework included. You can use the same link above to download the program. Next ? :-P
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby VicMar » Fri Mar 18, 2011 4:34 pm

I downloaded this latest version (with ALUT).
Opened fgx OK.
As I have not got my acknowledgement for the new account from Gitorious yet, I tried to use my existing Git data (weeks old now).
I set the path, aircraft and airport.
I selected ‘Use terrasync’
When I tried to ‘Start FlightGear,I got two messages stating fgfs and terrasync applications had quit unexpectedly:
Code: Select all
*
Process:         terrasync [3809]
Path:            /Applications/fgx.app/Contents/MacOS/terrasync
Identifier:      terrasync
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  bash [3808]

Interval Since Last Report:          1182 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  0 sec
Per-App Crashes Since Last Report:   1

Date/Time:       2011-03-18 16:18:35.937 +0000
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6
Anonymous UUID:  DF47C4F9-CE7C-474E-B48E-DE776C077D80

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  unknown required load command 0x80000022
*

Code: Select all
Process:         fgfs [3822]
Path:            /Applications/fgx.app/Contents/MacOS/fgfs
Identifier:      fgfs
Version:         ??? (???)
Code Type:       X86 (Native)
Parent Process:  bash [3821]

Interval Since Last Report:          1182 sec
Crashes Since Last Report:           2
Per-App Interval Since Last Report:  0 sec
Per-App Crashes Since Last Report:   10

Date/Time:       2011-03-18 16:18:36.404 +0000
OS Version:      Mac OS X 10.5.8 (9L31a)
Report Version:  6
Anonymous UUID:  DF47C4F9-CE7C-474E-B48E-DE776C077D80

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
  unknown required load command 0x80000022


If these are invalid because the data files were not current, let me know and I will try again when I have dowloaded a newer data file.

If there is a way of getting a current data file without having a Gitorious account, please let me know.

Cheers,
Vic
Time flies like an arrow
Fruit flies like a banana

http://www.vicmar.weebly.com
User avatar
VicMar
 
Posts: 1615
Joined: Sun Apr 06, 2008 5:53 pm
Location: Lancing. UK (EGKA)
Callsign: VicMar
Version: 3.0.0
OS: OS X 10.8.5

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Fri Mar 18, 2011 5:12 pm

VicMar wrote in Fri Mar 18, 2011 4:34 pm:
If there is a way of getting a current data file without having a Gitorious account, please let me know.

Cheers,
Vic


You can download fgdata with ("git" must be installed on your machine, it’s not OSX default) :
Code: Select all
git clone git://gitorious.org/fg/fgdata.git

or you point your browser to http://gitorious.org/fg/fgdata/commits/master and you click on "download master..." to the right, but then you will wait some decades and have to drink a lot of coffee while gitorious creates a tarball (compressed version of the whole directory, and the directory has tons of GB at the moment). Anyway I think the errors you get does not come from the wrong data directory, I have to check also some other code. Can you post details about the model of apple you have and which CPU? (i.e. "iMac with Duo Core 2,4 GHz")

Thanks, gral
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Re: Minimalistic FG OSX launcher for devel versions or snaps

Postby gral » Fri Mar 18, 2011 5:54 pm

I just uploaded another version with some other flags for OSX 10.5.8. Can you try this one later? Maybe you still get some errors but please post. Thanks, gral
gral
 
Posts: 325
Joined: Mon Nov 16, 2009 1:03 pm
Location: Zurich (Switzerland)
Callsign: HB-GRAL
Version: GIT

Next

Return to FGx

Who is online

Users browsing this forum: No registered users and 1 guest